
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Oracle中如何使用SQL_TRACE进行数据库诊断 / iVAN</title>

    <meta name="description" content="Oracle中如何使用SQL_TRACE进行数据库诊断 SQL_TRACE是Oracle提供的用于进行SQL跟踪的手段,是强有力的辅助诊断工具.在日常的数据库问题诊断和解决中,SQL_TRACE是非常常用的方法. 本文就SQL_TRACE的使用作简单探讨,并通过具体案例对sql_trace的使用进行说明. 一. 基础介绍 (a) SQL_TRACE说明 SQL_TRACE可以作为初始化参数在全局启用,也可以通过命令行方式在具体session启用. 1． 在全局启用 在参数文件(pfile/spfile)中指定: sql_trace =true 在全局">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Oracle中如何使用SQL_TRACE进行数据库诊断</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>SQL_TRACE是Oracle提供的用于进行SQL跟踪的手段，是强有力的辅助诊断工具.在日常的数据库问题诊断和解决中，SQL_TRACE是非常常用的方法。 本文就SQL_TRACE的使用作简单探讨，并通过具体案例对sql_trace的使用进行说明.</p>
<p>一、 基础介绍</p>
<p>(a) SQL_TRACE说明</p>
<p>SQL_TRACE可以作为初始化参数在全局启用，也可以通过命令行方式在具体session启用。 1． 在全局启用 在参数文件(pfile/spfile)中指定:</p>
<p>sql_trace =true</p>
<p>在全局启用SQL_TRACE会导致所有进程的活动被跟踪，包括后台进程及所有用户进程，这通常会导致比较严重的性能问题，所以在生产环境中要谨慎使用，这个参数在10g之后是动态参数，可以随时调整，在某些诊断中非常有效。 提示: 通过在全局启用sql_trace，我们可以跟踪到所有后台进程的活动，很多在文档中的抽象说明，通过跟踪文件的实时变化，我们可以清晰的看到各个进程之间的紧密协调.</p>
<p>2． 在当前session级设置 大多数时候我们使用sql_trace跟踪当前进程.通过跟踪当前进程可以发现当前操作的后台数据库递归活动(这在研究数据库新特性时尤其有效)， 研究SQL执行，发现后台错误等. 在session级启用和停止sql_trace方式如下:</p>
<pre>
启用当前session的跟踪:
SQL&gt; alter session set sql_trace=true;

Session altered.

此时的SQL操作将被跟踪:
SQL&gt; select count(*) from dba_users;

  COUNT(*)
----------
        34
结束跟踪:
SQL&gt; alter session set sql_trace=false;

Session altered.
       </pre>
<p>3． 跟踪其他用户进程 在很多时候我们需要跟踪其他用户的进程，而不是当前用户，这可以通过Oracle提供的系统包DBMS_SYSTEM. SET_SQL_TRACE_IN_SESSION 来完成</p>
<p>本栏目更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/database/Oracle/</p>
<p>SET_SQL_TRACE_IN_SESSION过程序要提供三个参数:</p>
<pre>
SQL&gt; desc dbms_system
...
PROCEDURE SET_SQL_TRACE_IN_SESSION
 Argument Name                     Type                    In/Out Default?
 ------------------------------           -----------------------   ------ --------
 SID                               NUMBER                  IN
 SERIAL#                          NUMBER                  IN
 SQL_TRACE                        BOOLEAN                 IN
...</pre>
<p>通过v$session我们可以获得sid、serial#等信息:</p>
<pre>
获得进程信息，选择需要跟踪的进程:

SQL&gt; select sid,serial#,username from v$session
  2  where username is not null;

       SID    SERIAL#  USERNAME
---------- ---------- ------------------------------
         8       2041  SYS
         9        437  EYGLE

设置跟踪:
SQL&gt; exec dbms_system.set_sql_trace_in_session(9,437,true)

PL/SQL procedure successfully completed.

....
可以等候片刻，跟踪session执行任务,捕获sql操作...
....

停止跟踪:
SQL&gt; exec dbms_system.set_sql_trace_in_session(9,437,false)

PL/SQL procedure successfully completed.
</pre>
<p>(b) 10046事件说明 10046事件是Oracle提供的内部事件，是对SQL_TRACE的增强. 10046事件可以设置以下四个级别: 1 - 启用标准的SQL_TRACE功能,等价于sql_trace 4 - Level 1 加上绑定值(bind values) 8 - Level 1 + 等待事件跟踪 12 - Level 1 + Level 4 + Level 8 类似sql_trace，10046事件可以在全局设置，也可以在session级设置。 1． 在全局设置 在参数文件中增加:</p>
<p>event="10046 trace name context forever,level 12"</p>
<p>此设置对所有用户的所有进程生效、包括后台进程.</p>
<p>2． 对当前session设置 通过alter session的方式修改，需要alter session的系统权限:</p>
<pre>
SQL&gt; alter session set events '10046 trace name context forever';

Session altered.

SQL&gt; alter session set events '10046 trace name context forever, level 8';

Session altered.
SQL&gt; alter session set events '10046 trace name context off';
Session altered.
</pre>
<p>3． 对其他用户session设置 通过DBMS_SYSTEM.SET_EV系统包来实现:</p>
<pre>
SQL&gt; desc dbms_system
...
PROCEDURE SET_EV
 Argument Name                  Type                    In/Out Default?
 ------------------------------ ----------------------- ------ --------
 SI                             BINARY_INTEGER          IN
 SE                             BINARY_INTEGER          IN
 EV                             BINARY_INTEGER          IN
 LE                             BINARY_INTEGER          IN
 NM                             VARCHAR2                IN

...

其中的参数SI、SE来自v$session视图:查询获得需要跟踪的session信息:
SQL&gt; select sid,serial#,username from v$session where username is not null;</pre>
<p>SID SERIAL# USERNAME ---------- ---------- ------------------------------ 8 2041 SYS 9 437 EYGLE</p>
<p>执行跟踪: SQL&gt; exec dbms_system.set_ev(9,437,10046,8,'eygle');</p>
<p>PL/SQL procedure successfully completed.</p>
<p>结束跟踪: SQL&gt; exec dbms_system.set_ev(9,437,10046,0,'eygle');</p>
<p>PL/SQL procedure successfully completed.</p>
<p>(c) 获取跟踪文件 以上生成的跟踪文件位于user_dump_dest目录中，位置及文件名可以通过以下SQL查询获得:</p>
<p>SQL&gt; select</p>
<pre>
  2    d.value||'/'||lower(rtrim(i.instance, chr(0)))||'_ora_'||p.spid||'.trc' trace_file_name
  3  from
  4    ( select p.spid
  5      from sys.v$mystat m,sys.v$session s,sys.v$process p
  6      where m.statistic# = 1 and s.sid = m.sid and p.addr = s.paddr) p,
  7    ( select t.instance from sys.v$thread  t,sys.v$parameter  v
  8      where v.name = 'thread' and (v.value = 0 or t.thread# = to_number(v.value))) i,
  9    ( select value from sys.v$parameter where name = 'user_dump_dest') d
 10  /
</pre>
<p>TRACE_FILE_NAME -------------------------------------------------------------------------------- /opt/oracle/admin/hsjf/udump/hsjf_ora_1026.trc</p>
<p>(d) 读取当前session设置的参数 当我们通过alter session的方式设置了sql_trace,这个设置是不能通过show parameter的方式得到的,我们需要通过dbms_system.read_ev来获取：</p>
<p>SQL&gt; set feedback off</p>
<pre>
SQL&gt; set serveroutput on </pre>
<p>SQL&gt; declare 2 event_level number; 3 begin 4 for event_number in 10000..10999 loop 5 sys.dbms_system.read_ev(event_number, event_level); 6 if (event_level &gt; 0) then 7 sys.dbms_output.put_line( 8 'Event ' || 9 to_char(event_number) || 10 ' is set at level ' || 11 to_char(event_level) 12 ); 13 end if; 14 end loop; 15 end; 16 / Event 10046 is set at level 1</p>
<p>本文出自 “技术知识交流” 博客，请务必保留此出处http://xiahouyao123.blog.51cto.com/646312/825989</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索sql<br />
                    ，                session<br />
                    ，                参数<br />
                    ，                进程<br />
                    ，                跟踪<br />
                                    当前<br />
                                    oracle sql trace、oracle sqltrace、oracle 11g sql trace、sql连接oracle数据库、oracle数据库sql语句，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-06 02:08:48</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/%e5%bd%93%e5%89%8d/" title="当前">当前</a>, <a href="https://www.iamivan.net/tag/%e8%bf%9b%e7%a8%8b/" title="进程">进程</a>, <a href="https://www.iamivan.net/tag/%e5%8f%82%e6%95%b0/" title="参数">参数</a>, <a href="https://www.iamivan.net/tag/session/" title="session">session</a>, <a href="https://www.iamivan.net/tag/%e8%b7%9f%e8%b8%aa/" title="跟踪">跟踪</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Oracle中如何使用SQL_TRACE进行数据库诊断的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8kBE3M.html" rel="bookmark">oracle中导入导出数据备份数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:oracle中导入导出数据备份数据库                            数据库所在位置                         将数据导出到的文件名                    用户名  备份数据库 :exp csm/csm@127.0.0.1/orcl file=c:/baoan_1.1.0_20120816.dmp owner=(csm)                                              数据库所在位置   			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRywAxb.html" rel="bookmark">oracle中如何通过RMAN复制数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过使用数据库备份,DBA可以在同一服务器或其它服务器上建立副本数据库.这个副本数据库可以和主数据库有相同的名称(拷贝)或与主数据库名称不同(克隆). ORACLE在数据库拷贝和数据库克隆之间惟一不同的是拷贝的数据库不能更改名称.使用RMAN的复制数据库特性,可以从RMAN备份创建一个新的数据库,并为这个副本数据库保留已有的数据库名称或者赋予新的名称. RMAN术语和命令: A. 辅助数据库(Auxiliary database):RMAN将目标数据库复制到该数据库实例.要创建该数据库的参数文件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0PW9JM.html" rel="bookmark">Oracle中如何使用Rman克隆数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				源库RHEL4.5:192.168.137.199 GLOBAL_NAME=WENDING.LK ORACLE_SID=WENDING 克隆库RHEL4.5:192.168.137.200 GLOBAL_NAME=STRM.LK ORACLE_SID=STRM 1. 全备份源库 $ sqlplus '/as sysdba' 记下备份前的SCN,规复的时间就规复到这个点. SQL&gt; select DBMS_FLASHBACK.GET_SYSTEM_CHANGE_NUMBER from dual;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWKryp.html" rel="bookmark">oracle中 exp&sol;imp导出导入数据库例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				导出前先查看系统的NLS_LANG设置: echo $NLS_LANG AMERICAN_AMERICA.ZHS16CGB231280 select userenv('language') from dual; AMERICAN_AMERICA.ZHS16GBK 这两个值不同会报错: EXP-00091: Exporting questionable statistics 问题产生的原因: linux下用户环境变量语言集和oracle数据库中的环境变量语言集不同. 解决办法: 将linux下用户			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDD96z.html" rel="bookmark">Oracle中临时表的深入研究</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|临时表 最近考虑到我们的数据库端写存储过程关于临时表使用的情况,由于我们   现在还不清楚数据库端到底是怎么处理的,是否和Sql Server的处理方式相   同,是否会存在隐患等等一些问题,为了避免将来不必要的麻烦我做了深   入的研究和查看了一些权威的资料,现在和大家共享,希望大家在处理   Oracle临时表是注意一下:   首先是创建临时表的语法: CREATE GLOBAL TEMPORARY TABLE table &quot;(&quot; column datatype [D			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMg9OZz.html" rel="bookmark">在ORACLE中移动数据库文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在ORACLE中移动数据库文件 ---- ORACLE数据库由数据文件,控制文件和联机日志文件三种文件组成.由于磁盘空间的变化,或者基于数据库磁盘I/O性能的调整等,数据库管理员可能会考虑移动数据库文件.下面以UNIX平台为例,分别讨论三种数据库文件的移动方法. ---- 一.移动数据文件: ---- 可以用ALTER DATABASE,ALTER TABLESPACE两种方法移动数据文件. ---- 1. ALTER DATABASE方法: ---- 用此方法,可以移动任何表空间的数据文件.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zegq7M.html" rel="bookmark">&lbrack;数据库&rsqb;Oracle中如果对&OpenCurlyDoubleQuote;性别&rdquo;这样的字段建立索引</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|数据|数据库|索引 由于&quot;性别&quot;这样的字段中的变化值很少,建立不同的Normal索引是毫无用处的.但我们在查询中还是会经常用的检索&quot;性别为男的大于30岁&quot;这样的条件,如果不加索引在数据量加大的时候还是会很慢,其实,Oracle中对此是有解决办法的,那就是Bitmap类型索引,我实验发现加了这种类型索引后,速度可以大大提高.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxLDrb.html" rel="bookmark">如何在oracle中导入dmp数据库文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle数据导入导出imp/exp就相当于oracle数据还原与备份.exp命令可以把数据从远程数据库服务器导出到本地的dmp文件,imp命令可以把dmp文件从本地导入到远处的数据库服务器中. 利用这个功能可以构建两个相同的数据库,一个用来测试,一个用来正式使用. 执行环境:可以在SQLPLUS.EXE或者DOS(命令行)中执行, DOS中可以执行时由于 在oracle 8i 中 安装目录\ora81\BIN被设置为全局路径, 该目录下有EXP.EXE与IMP.EXE文件被用来执行导入导出.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRngYz.html" rel="bookmark">如何在oracle中手工创建数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle中手工创建数据库的步骤: 1. 创建必要的相关目录 2. 创建初始化参数文件 3. 设置环境变量Oracle_sid 4. 创建实例 5. 创建口令文件 6. 启动数据库到nomount(实例)状态 7. 执行建库脚本 8. 执行catalog脚本创建数据字典 9. 执行catproc创建package包 10.      执行pupbld 11.      由初始化参数文件创建spfile文件 12.      执行scott脚本创建scott模式 13.      用命令测试数据			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ38Db.html" rel="bookmark" class="title">利用XMLHTTP实现的二级连动Select</a>
					<div>
						select|xml 这是继 &quot;利用XMLHTTP无刷新获取数据&quot; 的另一篇关于XMLHTTP的应用.  关于XMLHTTP.可以说,是一个很好的接合剂.把客户端和服务端的距离拉近 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjGoWM.html" rel="bookmark" class="title">PHOTOSHOP路径完全精通手册之二概念</a>
					<div>
						概念 路径的定义: &quot;路径&quot;(PATHS)在PHOTOSHOP中是使用贝赛尔曲线所构成的一段闭合或者开放的曲线段.贝赛尔是1962年法国雷诺汽车公司的PEB构造的一种以&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGR8Op.html" rel="bookmark" class="title">让你拥有自己的QQ在线显示代码（又是转，呵呵）</a>
					<div>
						显示|在线 偶尔从某地得到&lt;script src=http://www.homecgi.com/oicq.php?oicq=你的oicq号&gt;&lt;/script&gt; 我去看了看,果然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGl33b.html" rel="bookmark" class="title">小刀：分享增加百度相关域的小技巧</a>
					<div>
						我知道有很多新手都会直接问如何才能快速增加外链,那我只能告诉他群发了,但能利用好群发这一手段的决对不是菜鸟,所以我建议新手朋友们不要太急,凡是都要有个过程,当你一步一步走向成熟,阻挡你视线的迷雾将被你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAgB3z.html" rel="bookmark" class="title">奇虎360搜索上线对于广大SEO的影响</a>
					<div>
						从奇虎360搜索引擎低调上线的这几天来看,已经有不少的流量从360搜索过来!虽然只有几天的时间,但是流量已经超过搜搜.搜狗以及谷歌,仅次于百度,那么针对我们还一无所知就已经冲上来的一匹黑马,已经让很多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNZg8b.html" rel="bookmark" class="title">oracle listener知识总结</a>
					<div>
						一.动态注册 监听的动态注册就是实例启动的时候PMON进程根据初始化参数文件中的instance_name,service_names两个参数来动态注册监听. 注意,如果在RAC中配置,必须将集群中每 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaX3ZM.html" rel="bookmark" class="title">微型项目实践（7）：数据访问的定义</a>
					<div>
						上一篇中我们分析了实体类,这一篇我们来看看数据访问是怎么设计的. 从系统结构图中可以看出,到目前为止我们没有任何关于数据库访问的实现部分,而Business则仅仅 是给出了IDatabase和IEnt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1onqz.html" rel="bookmark" class="title">浅谈&period;NET下的多线程和并行计算（十二）CLR via C&num;第三版阅读笔记（1）</a>
					<div>
						最近此书出了第三版,在阅读此书线程部分的过程中有很多心得,补充了此前知识盲点,因此把这些 关键和重要的知识点汇集成日志文章并且纳入到这个系列中.顺便说一下,笔者喜欢这本书的原因是作者 作为微软顾问并没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN3AZM.html" rel="bookmark" class="title">一个显示效果非常不错的PHP错误、异常处理类</a>
					<div>
						 这篇文章主要介绍了一个显示效果非常不错的PHP错误.异常处理类,代码思路清晰,功能强大,需要的朋友可以参考下 一.效果图:         二.实现代码    代码如下:&lt;?php   //  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBjm8z.html" rel="bookmark" class="title">xp系统能支持多大的内存？</a>
					<div>
						有很多朋友对电脑内存都存在一个误区,那就是认为只要自己安装多大内存的电脑,系统就会读多大的内存,其实不然,无论是XP.WIN7读取内存都会有一个限额,在我们安装的内存超过限定的内存的时候,多余的部分是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7De9M.html" rel="bookmark" class="title">Windows XP中设置NTFS权限基本策略和原则</a>
					<div>
						  设置NTFS权限基本策略和原则 在Windows XP中,针对权限的管理有四项基本原则,即:拒绝优于允许原则.权限最小化原则.累加原则和权限继承性原则.这四项基本原则对于权限的设置来说,将会起到非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGX58p.html" rel="bookmark" class="title">winXP电脑控制面板中的画图程序不见了怎么办？</a>
					<div>
						  如果说以前咱们工作的时候处理到的文字工作比较多的话,那么现在,也许咱们更重视的就是图文结合了,毕竟&quot;有图有真相&quot;是现在这个社会的真理了!所以说,现在不少用户在生活和工作中都会使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkG5ab.html" rel="bookmark" class="title">java-如何在RAP平台上添加一个crm管理</a>
					<div>
						问题描述 如何在RAP平台上添加一个crm管理 如何在RAP平台上添加一个crm管理,主要是这个流程怎么样子,跪求啊,急急急					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQR2dz.html" rel="bookmark" class="title">JavaScript 替换Html标签实现代码&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: str = str.&lt;br /&gt; replace( /&amp;(?!#?\w+;)/g , '&amp;').&lt;br /&gt; replace( /unde ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoPOyb.html" rel="bookmark" class="title">站长分析-Sem广告投放的3个注意事项</a>
					<div>
						1.关键词的选取并不只是看转化率 这是很多人都在犯的一个错误,在选取关键词的投放的时候,很多人都是以转化率为唯一的考虑因素,这初看起来似乎没有什么问题,转化率高的词当然就该加大投放力度,转化率低的词自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR6Xjz.html" rel="bookmark" class="title">oracle数据库误修改&sol;u01权限&sol;所有者的故障恢复</a>
					<div>
						有朋友找到我,说他对生产库做了误操作,导致数据库异常,请我帮忙处理,对/u01目录修改了用户和权限,导致数据库无法登录,但是业务还在继续 误操作命令 mkdir -p /u01/app/grid mk ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAOnRM.html" rel="bookmark" class="title">数据库xxx已打开，并且一次只能有一个用户访问。 &lpar;Microsoft SQL Server，错误&colon; 924&rpar;</a>
					<div>
						操作数据库失败,提示如下错误: 数据库xxx已打开,并且一次只能有一个用户访问. (Microsoft SQL Server,错误: 924) 重启数据库问题仍然存在.可执行以下sql解决: USE  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQDLDp.html" rel="bookmark" class="title">5年增7倍 &OpenCurlyDoubleQuote;大数据&rdquo;带来大机遇</a>
					<div>
						工业和信息化部近日发布&lt;关于数据中心建设布局的http://www.aliyun.com/zixun/aggregation/6603.html&quot;&gt;指导意见&gt;,提出了数据中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDr1xz.html" rel="bookmark" class="title">控件抖动-android中实现控件持续抖动的问题</a>
					<div>
						问题描述 android中实现控件持续抖动的问题 直接上代码:class doudong extends Thread{ public void run() { shakeAnim = Animati ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmdVAb.html" rel="bookmark" class="title">Apache服务器中使用&period;htaccess实现伪静态URL的方法&lowbar;Linux</a>
					<div>
						很多朋友可能是空间也就是虚拟主机,自己就没有权限来管理apache的httpd.conf文件了,自然就不太可能可以在这上面写静态规则了,下面我们可以让主机商开启支持.htaccess方法,这样就可以自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1EeAz.html" rel="bookmark" class="title">成本致东软利润下滑 刘积仁转型云计算藏危机</a>
					<div>
						软件外包产业,人力成本最高,高到足以使行业翘楚http://www.aliyun.com/zixun/aggregation/9748.html&quot;&gt;东软集团利润下降将近1/4.向云计算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqXgmb.html" rel="bookmark" class="title">中国人工智能学会通讯&mdash;&mdash;迎接深度学习的&OpenCurlyDoubleQuote;大&rdquo;挑战&lpar;下&rpar;  1&period;1 深度学习的训练方法和技巧</a>
					<div>
						摘要:本部分主要介绍了深度学习的训练方法和技巧.深度学习的挑战和应对方法等问题. 最后结合眼下 AI 的研究进展,对深度学习领域深刻的&quot;吐槽&quot;了一番,妙趣横生且发人深省. 1.1  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgwm63M.html" rel="bookmark" class="title">NoSQL Data Modeling Techniques</a>
					<div>
						NoSQL Data Modeling Techniques http://highlyscalable.wordpress.com/2012/03/01/nosql-data-modeling-te ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xXQAb.html" rel="bookmark" class="title">数字-3&comma;6&comma;5&comma;3&comma;6&comma;4&comma;8&comma;6&comma;4&comma;4&comma;7&comma;3&comma;4&comma;6&comma;6&comma;7&comma;7&comma;2&comma;6&comma;4&comma;。。。接下来是什么</a>
					<div>
						问题描述 3,6,5,3,6,4,8,6,4,4,7,3,4,6,6,7,7,2,6,4,...接下来是什么 3,6,5,3,6,4,8,6,4,4,7,3,4,6,6,7,7,2,6,4,10,2, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12noxp.html" rel="bookmark" class="title">怎么把list&amp;amp&semi;amp&semi;lt&semi;userForm&amp;amp&semi;amp&semi;gt&semi;所遍历的值，赋到相应的select框上显示出来</a>
					<div>
						问题描述 ublicclassuserFormextendsActionForm{privateStringjkjc;privateStringgmjjhylb;privateStringqygsdj ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnPD7M.html" rel="bookmark" class="title">支持B&sol;S架构吗？</a>
					<div>
						问题描述 **支持B/S架构吗?** 解决方案 环信支持WebIM.即基于浏览器的IM,类似微信网页版.并且环信的WebIM是完全开源的,非常方便开发者把WebIM集成到自己的web页面中,完全替换成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqL0vb.html" rel="bookmark" class="title">PowerDesigner 16&period;5对SQL Server 2012 生成数据库时&amp;quot&semi;不支持扩展属性&amp;quot&semi;问题</a>
					<div>
						原文:PowerDesigner 16.5对SQL Server 2012 生成数据库时&quot;不支持扩展属性&quot;问题 团队合作设计一套系统数据模型,创建了PDM后,Table.View. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYX63b.html" rel="bookmark" class="title">乐叶光伏项目年产值将超120亿 领跑全球高效单晶电池生产</a>
					<div>
						一艘生产太阳能高效单晶电池组件的企业巨轮在泰州正式&quot;启航&quot;.近日,乐叶光伏在泰州投资的二期项目--投资15亿元的2GW高效单晶组件工厂正式投产.目前,企业正陆续增加组件生产线的建设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn821Ab.html" rel="bookmark" class="title">android toast-android中toast没有提示</a>
					<div>
						问题描述 android中toast没有提示 在以前程序都能进行toast提示,今天下午因为输入法框弹出的问题更改了一下theme,但是上面的问题解决了,toast却怎么也不提示了,重新设置了主题也不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenmE9b.html" rel="bookmark" class="title">gridview控件使用时发生的问题</a>
					<div>
						问题描述 CS1061:&quot;ASP.manager_administrator_manage_board_aspx&quot;不包含&quot;GridView1_SelectedIndexC ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
